Error Failed to open "alsa" (alsa). Failed to open alsa device "volumio" no such device

Thanks it worked! Just upgraded to 3 and have wasted most of the day getting back to where I was.

Just got this error , using a Schitt Modi 2 Uber as my DAC, checked connections, still errors, power cycled Pi3 and Uber, that resolved it

Oh my god this actually worked, THANK YOU so much!

I was certain that it will NOT work because - WHY would I need to jump on one leg and hold my left ear for something like this to work? :laughing:

But it did work and I am very thankful.

My board is Raspberry Pi 3 B+ (PCB v1.2)
with HiFiBerry Digi+ HW 1.3
Volumio v3.378

This is killing me. I have a Rasp Pi3 with IQaudiO DAC+. I originally used volumio v3 and got exactly this problem. The 'solution; did not work. I reburned the chip to the latest v2 and it does have the old interface, but the problem remains and the solution still doesn’t work. Is there ANY way to get this working??

I also have this issue since upgrading my Raspi400 to the latest software…
The Dac is a USB M2Tech Young ( Burr Brown) that worked nice with the previous software release…
Let me know what can I do for fixing the error alsa device already used???

Hi all,
I experienced what might be the same issue last night. I’m running volumio on Ras.Pi 3 with an Iquadio Dac Plus.
A few nights ago, I installed the current version of volumio added the HAT, and all worked fine.

This issue started when I tried to add a power button-- GitHub - Howchoo/pi-power-button: Scripts useful for the Pi power button
I pulled and installed that file, and immediately experienced the “Alsa failed to open” error. When I switched my audio output to the normal onboard headphone jack, it worked fine.
I fixed the issue by uninstalling the pi-power-button program and restarting. The DAC worked immediately after.
It looks like the audio DAC HAT uses the same pin as that project, so the it stopped working as soon as I added that additional project. I’m not sure if this is the same issue as any of you were experiencing, but maybe check the Digi+ Pro documentation for pins used if you have any other projects loaded.
Hope that helps anyone out there. But, in reading through this board more thoroughly, it looks like people’s issues stem from RasPi 4, version 1.5 not integrating well with HiFi berry Dacs. Well, in any case, I thought I’d post in case anyone else has the same issue as me.

Not sure if that’s impacting the rest of you.

I also have this issue with Rpi3 and Pimoroni Audio Amp SHIM. Worked fine on 2 and was working initially, suspect the culprit was installing the Rotary Encoder II plugin - so looks GPIO related.

Hi,
Should you encounter this error again, my best advice would be to take out your SD card and re-install Volumio from scratch.
Once it is all configured, write down your settings and find anotehr SD Card. Install Volumio to that one and apply the settings. Check if they work.
So in case you need it, you’ll have a back-up system ready to go.

You can also install something else to that back-up card…

Me, my Volumio 2.9.17 stopped working. I could do whatever I wanted : no go. Reinstalled. There you go :slight_smile: At first try, it worked.

MAGIC :slight_smile: